import { DocumentNode, GraphQLNamedType, GraphQLSchema, GraphQLDirective, SchemaDefinitionNode, SchemaExtensionNode } from 'graphql';
import { OnTypeConflict, MergeTypeCandidate, MergeInfo, MergeTypeFilter, SubschemaConfig } from '../Interfaces';
export declare function buildTypeCandidates({ schemaLikeObjects, allSchemas, typeCandidates, extensions, directives, schemaDefs, operationTypeNames, mergeDirectives, }: {
    schemaLikeObjects: Array<GraphQLSchema | SubschemaConfig | DocumentNode | GraphQLNamedType>;
    allSchemas: Array<GraphQLSchema>;
    typeCandidates: Record<string, Array<MergeTypeCandidate>>;
    extensions: Array<DocumentNode>;
    directives: Array<GraphQLDirective>;
    schemaDefs: {
        schemaDef: SchemaDefinitionNode;
        schemaExtensions: Array<SchemaExtensionNode>;
    };
    operationTypeNames: Record<string, any>;
    mergeDirectives: boolean;
}): void;
export declare function buildTypeMap({ typeCandidates, mergeTypes, mergeInfo, onTypeConflict, operationTypeNames, }: {
    typeCandidates: Record<string, Array<MergeTypeCandidate>>;
    mergeTypes: boolean | Array<string> | MergeTypeFilter;
    mergeInfo: MergeInfo;
    onTypeConflict: OnTypeConflict;
    operationTypeNames: Record<string, any>;
}): Record<string, GraphQLNamedType>;
